Chromium Code Reviews
Help | Chromium Project | Sign in
(12)

Issue 10896048: Transition safe browsing from bloom filter to prefix set. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 years, 3 months ago by Scott Hess
Modified:
4 years, 3 months ago
CC:
chromium-reviews
Visibility:
Public.

Description

Transition safe browsing from bloom filter to prefix set. If there is a saved prefix set file, use it and delete the bloom filter. Otherwise if there is a bloom filter file, use it until first update. On update, construct and write a prefix set file, and delete the bloom filter. BUG=71832 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=155543

Patch Set 1 #

Patch Set 2 : Fix prefix set read/write for empty/sparse sets. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+371 lines, -152 lines) Patch
M chrome/browser/safe_browsing/prefix_set.cc View 1 2 chunks +41 lines, -31 lines 0 comments Download
M chrome/browser/safe_browsing/prefix_set_unittest.cc View 1 3 chunks +43 lines, -13 lines 0 comments Download
M chrome/browser/safe_browsing/safe_browsing_database.h View 7 chunks +18 lines, -8 lines 0 comments Download
M chrome/browser/safe_browsing/safe_browsing_database.cc View 19 chunks +153 lines, -100 lines 0 comments Download
M chrome/browser/safe_browsing/safe_browsing_database_unittest.cc View 2 chunks +116 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 6 (0 generated)
Scott Hess
I broke out SafeBrowsingDatabaseTest.FilterFile separate from PrefixSetTransition because it can stick around after the transition. ...
4 years, 3 months ago (2012-08-29 21:54:34 UTC) #1
ramant (doing other things)
lgtm
4 years, 3 months ago (2012-08-30 17:46:06 UTC) #2
Scott Hess
Raman, This kept failing win_rel, with no output. Turns out it was crashing taking the ...
4 years, 3 months ago (2012-09-07 21:10:50 UTC) #3
ramant (doing other things)
lgtm
4 years, 3 months ago (2012-09-07 22:16:39 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/shess@chromium.org/10896048/9001
4 years, 3 months ago (2012-09-07 22:23:06 UTC) #5
commit-bot: I haz the power
4 years, 3 months ago (2012-09-08 00:54:21 UTC) #6
Change committed as 155543
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f8e48bd